/*
 * Java-Modell des Datenkatalogs.
 * Copyright (C) 2016 BitCtrl Systems GmbH 
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

/**
Teilmodell mit Datenmodellierung für die geografische Referenzierung von Objekten.
<p>
&lt;absatz&gt;Dieses Teilmodell stellt die notwendigen Datenstrukturen zur Verfügung, mittels derer eine geografische Referenz auf Objekte ermöglicht wird. Alle geografisch referenzierbaren Objekttypen erweitern dazu den ObjektTyp typ.geoReferenzObjekt, womit die notwendigen Informationen bei jedem Objekt verfügbar sind.&lt;&#47;absatz&gt;
			&lt;absatz&gt;Die folgende Abbildung skizziert die Zusammenhänge und Attributgruppen der verschiedenen Objekttypen imTeilmodell GeoReferenzierung.&lt;&#47;absatz&gt;
			&lt;abbildung src="abbildungen&#47;TeilmodellGeoReferenzierungGlobal.jpg"&gt;
				&lt;titel&gt;Übersicht Teilmodell Geografische Referenzierung von Objekten (global)&lt;&#47;titel&gt;
			&lt;&#47;abbildung&gt;
</p>
* @author BitCtrl Systems GmbH, M2T
 * @version KB-Version 2
 */
package de.bsvrz.sys.funclib.bitctrl.modell.tmgeoreferenzierungglobal;
